Subject: bug#25912: 2.1.7 segfaults on cygwin

From: Andy Wingo <[email-masked]>
Date: Wed, 01 Mar 2017 17:47:30 +0100

On Wed 01 Mar 2017 11:27, szgyg <[email-masked]> writes:

> I got two identical segfaults from make -j2 on 32-bit cygwin, and
> three identical segfaults from make -j3 on 64-bit at the same point.
>
> Any idea?

Could it be some mprotect issue?  static-patch is a bytecode that is
used when doing run-time relocations in the .go files, when they are
first loaded up.  They are loaded by loader.c.  I usually use the mmap
path; is that being used on cygwin?  Is it reliable?  There is a
fallback path that doesn't use any memory protection.  See loader.c.

Andy